blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
c060b54e50d3ed3dfe5a8bf007b10856646787d9
Shell
martiansnoop/dotfiles
/.no-my-zsh/prompt.zsh
UTF-8
769
3.578125
4
[]
no_license
# Use single quotes so variables are executed by the prompt, # as opposed to once, when this file is run. color='%B%F{black}' decolor='%b%f' omg_color='%b%F{001}' PROMPT='$omg_color$(error_status)$color%n@%m> $decolor' RPROMPT='$color$(git_prompt_info) %3~$decolor' function error_status() { last_command=$? [...
true
0bb33306e67316e745a1c0c247c5f5cc5be96eda
Shell
thiago/easy-docker
/commands/run.sh
UTF-8
6,178
4.21875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash function usage_run { echo -e " $(title Usage): $PROGRAM_NAME $CURRENT_CMD [options] alias[:version] [alias command] $(title Options): -h, --help Display this help and exit -f, --file FILE Specify an alternate compose file -i, --interactive=false ...
true
f1e9c4e4a74c699f7338483eb8c479aef6e47a93
Shell
moritzbuck/Limno2
/0006_Erken_Genome_Project/9999_scripts/usearch_script.sh
UTF-8
2,791
2.6875
3
[]
no_license
base_path=$HOME/people/0006_Erken_Genome_Project/20000_mesocosm_amplicon_1/ raws_folder=/home/moritz/people/0006_Erken_Genome_Project/0000_rawdata/0200_mesocosm_amplicon_I/ python_hjelper=/home/moritz/temp/helper.py usearch=usearch10 usearch_path=$base_path/2000_usearch/ nproc=19 db=~/dbs/rdp_16s_v16_sp.udb source ~/...
true
faddb2bc2bb650f20ee66db8cb66ca9900b757de
Shell
ubiqube/quickstart
/scripts/swarm-fix-route.sh
UTF-8
19,044
3.40625
3
[]
no_license
#!/usr/bin/env bash #set -x set -e unset ID unset NET_ID unset OVERLAY_NET_PREFIX unset MATCH unset IFACE unset NS_ID unset LB_NET_ID unset LB_NS_ID unset NS_ID_LONG unset NS_ID_SHORT unset CONT_ID unset RSORTED_RULES unset RUN_DIR unset NETNS_DIR unset DOCKER_NETWORK_1 unset DOCKER_NETWORK_2 unset rule unset RULES uns...
true
6d8476089af49b0971b52fb96607629c8c0bc516
Shell
syrincs/system
/gitlab-runner/start.sh
UTF-8
688
3.21875
3
[]
no_license
#! /bin/bash if [ -f ../system/.docker.env ] && [ -f ../gitlab/.docker.env ]; then source ../system/.docker.env source ../gitlab/.docker.env if [ $# -lt 1 ] || [ "$1" = "main" ]; then docker-compose -p runner up --build --scale docker=$GITLAB_RUNNER_SCALE --remove-orphans -d fi if [ $# -lt...
true
7df7d189c290c5d78dc69a92e515e0243d3b1060
Shell
sylvain-artois/ContrePensees
/contrepensees.sh
UTF-8
2,586
3.9375
4
[ "MIT" ]
permissive
#!/bin/bash # description: contrepensees service # processname: node # pidfile: /var/run/contrepensees.pid # logfile: /var/log/contrepensees.log # # Based on https://gist.github.com/jinze/3748766 # @see https://gist.github.com/operatino/8389370 # # To use it as service on Ubuntu: # cp contrepensees.sh /etc/init.d/cont...
true
90b3281d300ea9e3febf277d20d8db3a1a506033
Shell
nth10sd/dotfiles
/bin/manjaro/01_aur.sh
UTF-8
253
3.421875
3
[]
no_license
#!/bin/bash function f_aur_install() { local _pkg _pkg=$1 f_check_prog "git" f_out "Installing ${_pkg} from the AUR" cd ~/.build rm -rf ~/.build/${_pkg} git clone https://aur.archlinux.org/${_pkg}.git cd ~/.build/${_pkg} makepkg -si cd ~ }
true
683051ca37bdad2dad13ebbe1d84e87afc11313b
Shell
dyweb/dyweb.github.io
/update-gh-pages
UTF-8
625
3.25
3
[ "MIT" ]
permissive
#!/bin/bash local BUILD_BRANCH='gh-pages' local BUILD_COMMAND='npm run build' local BUILD_PATH='dist index.html' local BUILD_COMMIT_TITLE='build' local CURRENT_BRANCH=$(git branch | grep --color=never '^\* ' | cut -d' ' -f 2) local ADD_BUILD_COMMAND="git add -f ${BUILD_PATH}" # Switch to the build branch git branch...
true
4f687b724dec62445519bc983bb390dca852de9a
Shell
fisanchez/scripts
/gen_rails_stack
UTF-8
1,383
3.40625
3
[]
no_license
#!/bin/bash echo Hello, what do you want to name your app? read appName echo press y if this is an api server read api_server echo Creating $appName app if [[ $api_server =~ ^[Yy]$ ]] then rails new $appName -O --api --skip-coffee else rails new $appName -O --skip-coffee --skip-turbolinks fi echo move into ap...
true
7ad097bb7134abfc79d74f75fb935905d57cda63
Shell
mongodb/mongodb-kubernetes-operator
/scripts/git-hooks/pre-commit
UTF-8
3,558
3.984375
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # This should be copied to .git/hooks/pre-commit function go_imports() { if ! type goimports &> /dev/null; then echo "Installing goimports" GO111MODULE=off go get golang.org/x/tools/cmd/goimports fi # Formats each file that was changed. for file in $(git diff --cac...
true
3b9dae6c7c95f78b19dc9b1bc1b39afc88b68cac
Shell
antoniocaia/kattis
/update_readme.sh
UTF-8
1,119
3.4375
3
[]
no_license
#!/bin/bash curl 'https://github.com/antoniocaia/kattis/tree/master/src/kattis' | tac | tac | pup '#js-repo-pjax-container' >source.html; cat source.html | pup 'a[class="js-navigation-open link-gray-dark"] attr{href}' | grep "\S" | sed 's/ //g' >gitlinks; cat source.html | pup 'a[class="js-navigation-open link-gray-d...
true
2c45bd93dea7386fb654c016deefbecfd581adec
Shell
alixaxel/halBox
/packages/ubuntu/trusty/dexec.sh
UTF-8
357
2.96875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash wget -q https://bintray.com/artifact/download/dexec/release/dexec_1.0.3_linux_$halBox_Arch.tar.gz -O /tmp/dexec.tar.gz if [[ $? == 0 ]]; then cd /tmp/ && mkdir -p /tmp/dexec/ && tar -xf /tmp/dexec.tar.gz -C /tmp/dexec/ && mv /tmp/dexec/*/dexec /usr/local/sbin/dexec && chmod +x /usr/local/sbin/...
true
78e158ad35d861af3e57ea242d6f66d51c90be47
Shell
telegraph/telegraph-engineer-laptop
/aem-setup/scripts/05a-build-deploy-ooyala.sh
UTF-8
1,018
3.28125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash source config ################################################################################################# # 1. Build And Deploy Ooyala using Maven # Clone the repo if it does not exist echo "OOYALA HOME is $AEM_PROJECT_HOME/$AEM_OOYALA" cd "$AEM_PROJECT_HOME" if [ ! -d "$AEM_PROJECT_HOME/$AEM_OOYALA"...
true
3250d35ed841c99a834dbe59af2a9788b36056e4
Shell
ContinualAI/avalanche
/tests/checkpointing/test_checkpointing.sh
UTF-8
1,877
3.4375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Script used to automatically test various combinations of plugins when used with # the checkpointing functionality. set -euo pipefail cd tests/checkpointing rm -rf logs rm -rf checkpoints rm -rf metrics_no_checkpoint rm -rf metrics_checkpoint export PYTHONUNBUFFERED=1 export PYTHONPATH=../.. expo...
true
e89d0104373bf1df603726363690ab665f313f4e
Shell
jeonghanlee/fluka-setup
/set_fluka_env.bash
UTF-8
1,249
3.328125
3
[]
no_license
#!/bin/bash # The program is free software: you can redistribute # it and/or modify it under the terms of the GNU General Public License # as published by the Free Software Foundation, either version 2 of the # License, or any newer version. # # This program is distributed in the hope that it will be useful, but W...
true
51c4e106b2ef0ab8895dcb29eccc74e4fee84acc
Shell
janosmiko/reward
/images/php-fpm/context/magento2-web/docker-entrypoint
UTF-8
3,566
3.609375
4
[ "LicenseRef-scancode-unknown-license-reference", "MIT" ]
permissive
#!/bin/bash set -e # SUPERVISOR if [ "${CRON_ENABLED}" = "true" ]; then envsubst </etc/supervisor/available.d/cron.conf.template | sudo tee /etc/supervisor/conf.d/cron.conf fi if [ "${SOCAT_ENABLED}" = "true" ] && [ -S /run/host-services/ssh-auth.sock ] && [ "${SSH_AUTH_SOCK}" != "/run/host-services/ssh-auth...
true
c3399c9265a9bba322927184ccbb4b11a2cd4a24
Shell
dpwolfe/good-morning
/dotfiles/.bash_profile
UTF-8
5,588
3.515625
4
[]
no_license
#!/usr/bin/bash export LANG="en_US.UTF-8" DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" #Git autocomplete # shellcheck source=git-completion.bash source "$DIR/git-completion.bash" function contains { # contains(string, substring) # Returns 0 if string contains the substring, otherwise returns 1 ...
true
07727db816ec0ad6f0e234ced7b2e8f095024c04
Shell
jumpingElephant/potential-octo-broccoli
/run-mongodb.sh
UTF-8
222
2.75
3
[ "MIT" ]
permissive
if [ -z $1 ]; then echo Command: run-mongodb.sh /path/to/mongodb/data exit 1 fi sudo docker run --name mongo-consumption \ --volume $1:/data/db \ --network consumption_bridge \ --restart always \ --detach \ mongo
true
53bd008bb5950b22aba5203839441e1b2e7a67ed
Shell
antifob/nixexprs
/tests/run-test.sh
UTF-8
1,693
3.859375
4
[]
no_license
#!/bin/sh # ==================================================================== # set -eu PROGNAME=$(basename -- "${0}") PROGBASE=$(d=$(dirname -- "${0}"); cd "${d}" && pwd) # -------------------------------------------------------------------- # if [ X0 = X"${#}" ]; then usage >&2 printf 'usage: %s test...\n' "$...
true
f2baf592d646623e39aa9272caa6af622e6b1db2
Shell
qbit/dotfiles
/bin/wpacfg
UTF-8
512
3.515625
4
[ "ISC" ]
permissive
#!/bin/ksh DEBUG=1 eval . ~/lib/functions # WIF=iwn0 WIF=$(ifconfig | grep -B 4 IEEE802 | grep ^[a-z] | awk -F\: '{print $1}') IF=/sbin/ifconfig echo -n "SSID: " read SSID echo -n "WPA-PSK: " stty -echo read -s KEY stty echo echo "" #log "using ${KEY} on ${WIF}" echo -n "Use dhclient (y/n)? " read DH sudo $IF $W...
true
b387374938a9e814b60ec6201b3b224bb36d4ecd
Shell
raulhuamani/.dotfiles
/zsh/.zshrc
UTF-8
3,527
2.875
3
[]
no_license
# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc. # Initialization code that may require console input (password prompts, [y/n] # confirmations, etc.) must go above this block; everything else may go below. if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; ...
true
e6dafc29624cb2d8ecc592e1a45750d805434e12
Shell
neovraz/ssh_ubuntu_serve
/test.sh
UTF-8
187
3.3125
3
[]
no_license
#!/bin/bash script_path="install.sh" bash "$script_path" result=$? echo "$result" if [ $result = 0 ]; then echo "SSH already installed" else sudo apt-get install openssh-server fi
true
b9bc6852e2ef6ce6a50f4071dc6349cc85a292b2
Shell
pitakill/hashicorp-vagrant
/provision/hashi-stack.sh
UTF-8
2,849
3.234375
3
[]
no_license
#!/bin/bash export ENVOY_VERSION=1.13.1 export CONSUL_VERSION=1.7.5 export CONSUL_TEMPLATE_VERSION=0.25.0 export CONSUL_REPLICATE_VERSION=0.4.0 export CNI_PLUGINS=0.8.6 export NOMAD_VERSION=0.12.1 export VAULT_VERSION=1.4.3 # Install base sudo apt-get update sudo apt-get install -y \ software-properties-common \ ...
true
fdf141c75178b7226f1c521b05c6206cee7a66f6
Shell
dapphub/git-ci
/bin/git-submodule-bisect-prepare
UTF-8
884
3.734375
4
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash set -e notif() { echo "== git submodule-bisect-prepare: $@" >&2 ; } fatal() { notif "$@" ; exit 1 ; } submodule_dir="$1" && shift source_branch="$1" && shift target_branch="$1" && shift notif "submodule: $submodule_dir" notif "source_branch: $source_branch" notif "target_branch: $target_b...
true
37aa05d7860df2e91bc24c0f767f49c2982a9f64
Shell
AnjaWestram/Littorina_hybrid_zone_1
/ang10_clip_overlap.sh
UTF-8
784
2.71875
3
[]
no_license
#!/bin/bash -ve # remove overlap between PE reads from one of the two reads (only for paired files...) # request memory for job (default 6G, max 72G) #$ -l mem=3G #$ -l rmem=3G # run time for job in hours:mins:sec (max 168:0:0, jobs with h_rt < 8:0:0 have priority) #$ -l h_rt=02:30:00 ##$ -P molecol ##$ -q molecol.q ...
true
9de70a293a21e5fbb5cebeef71288536076b39a6
Shell
lowskill272/oslabs2019
/lab1/randomScript.sh
UTF-8
126
2.953125
3
[]
no_license
#!/bin/bash num=0 for((i=1;i<151;i++)) do num=$(od -An -N4 -i < /dev//urandom) nums="$num $nums" done echo $nums >> file1.txt
true
d7f7c99ec019b967d61615c33f3adff7bccb302c
Shell
Silentsoul04/env
/linux/bin/user-terminal.sh
UTF-8
198
3.09375
3
[ "MIT" ]
permissive
#!/usr/bin/env sh [ $# -eq 0 ] && exec user-terminal if readlink "$(command -v user-terminal)" | grep -qi gnome-terminal; then exec user-terminal -- "${@}" else exec user-terminal -e "${@}" fi
true
899012428c24d60510e25346487db7722882e82c
Shell
Abdullah-Mubark/Academic-Records-Blockchain-Network
/bc-config/scripts/createchannel.sh
UTF-8
759
3.265625
3
[]
no_license
#!/bin/bash # import utils . scripts/utils.sh CHANNEL_NAME="mychannel" createChannel() { setGlobals 0 1 echo $CHANNEL_NAME if [ -z "$CORE_PEER_TLS_ENABLED" -o "$CORE_PEER_TLS_ENABLED" = "false" ]; then set -x peer channel create -o orderer.academicrecords.com:7050 -c $CHANNEL_NAME -f ./channel-a...
true
90d25b3b3c05dafe9255f65d03550bd62bf70287
Shell
ecylcje/rtl_433-hass-addons
/rtl_433_mqtt_autodiscovery/run.sh
UTF-8
1,088
3.078125
3
[ "MIT" ]
permissive
#!/usr/bin/env bashio if bashio::services.available mqtt; then echo "mqtt found in this Home Assistance instance." MQTT_HOST=$(bashio::services mqtt "host") MQTT_PORT=$(bashio::services mqtt "port") export MQTT_USERNAME=$(bashio::services mqtt "username") export MQTT_PASSWORD=$(bashio::services mqtt "passwor...
true
e3be4a28c2fd28709ce7f3c22112daec81be98c2
Shell
Nixalde/rsync
/rsync-script-local-diario
UTF-8
2,770
3.953125
4
[]
no_license
#!/bin/sh # Directorios de los que se harán las copias SOURCES="/boot /home /usr /var /etc /sbin /bin" # Directorio donde se almacenarán las copias TARGET="/backup/rajoy-diaria" # Asignamos el numero de rotaciones que tendrá el backup. Asegurate de tener espacio en disco. ROTATIONS=6 # Habilitamos la salida extensa...
true
1d0b5d12a7210d76184ec44e857749da8762f779
Shell
shaundomingo/coreos-units
/clusterable-wordpress/redeploy-coreos.sh
UTF-8
353
2.984375
3
[]
no_license
#!/bin/bash COSV_DIR=../../coreos-vagrant UNIT_DIR=$(pwd) cd ${COSV_DIR} url=$(curl "https://discovery.etcd.io/new?size=3") echo "New CoreOS Discovery URL: ${url}" replace_url=$(echo $url | sed -e 's/[\/&]/\\&/g') sed -i.bak "s/https:\/\/discovery.etcd.io\/.*/$replace_url/g" user-data vagrant destroy -f vagrant box ...
true
5b0262fcdcc915b55bfd78db53dd559938db1984
Shell
timdaman/quartermaster
/deploy/build_docker_images.sh
UTF-8
412
3.140625
3
[]
no_license
#!/bin/bash set -eux if [ ! -d quartermaster_server ]; then ehco "This script should be run from the repository root" exit 1 fi # Generate static files from Django STATIC_FILES_DIR="$PWD/deploy/static" rm -rf "$STATIC_FILES_DIR" docker-compose build backend docker-compose run -v "$STATIC_FILES_DIR":/deploy/static...
true
ee7ae8cea2d3b237f95328d7708e4487b0ab06ee
Shell
nova-video-player/aos-AVP
/android-setup-light.sh
UTF-8
1,887
3.53125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash case `uname` in Linux) READLINK=readlink SED=sed export CORES=$((`nproc`+1)) ;; Darwin) # assumes brew install coreutils in order to support readlink -f on macOS READLINK=greadlink SED=gsed export CORES=$((`sysctl -n hw.logicalcpu`+1)) ;; esac # android sdk directory is...
true
6f2cac72f1250b7e1a2e65a9fde4286b1887fe10
Shell
adrewasa/control
/start-server.sh
UTF-8
313
2.546875
3
[]
no_license
#!/bin/sh cp ../base/build/libs/*.jar ../lib/import/ classPath=`find build/libs -name '*.jar'` mainClass=com.asa.computer.ui.server.ServerUi importJar=./ for jar in `find ../lib/import/ -name '*.jar'`;do importJar="$importJar:$jar" done classPath="$classPath:$importJar" java -classpath $classPath $mainClass
true
0d3852982a9d113c8003f1d62c932b7e6e34f5b0
Shell
brianchewson/bash-tools
/AllImgXmlRandomOrders.sh
UTF-8
1,232
3.515625
4
[]
no_license
#!/bin/sh -e XML=$1 rm $XML RANDOM_ORDER_FILE=t.rand P=`pwd` echo "<background>" >> $XML echo " <starttime>" >> $XML echo " <year>2009</year>" >> $XML echo " <month>08</month>" >> $XML echo " <day>04</day>" >> $XML echo " <hour>00</hour>" >> $XML echo " <minute>00</minute>" >> $XML echo " ...
true
db7715444eea7a33e88d56f261dd5c6c9d2368d5
Shell
ViniciusLisboa07/Atividade-Pr-tica-Shell-Linux
/3/entrada.sh
UTF-8
713
3.546875
4
[]
no_license
#!/bin/bash clear SS=0 MM=0 HH=0 echo "--CRONÔMETRO--" echo "E - INICIAR" echo "S - SAIR" echo "Obs: Digite F a qualquer momento para finalizar o cronômetro!" echo echo -n "Resposta: " read EX echo if [ $EX = "E" ]||[ $EX = "e" ] then while (sleep 1) do if [ $SS -gt 59 ] then SS=0 MM=$(echo "$MM + 1" | bc) f...
true
55c09ece881953a0802d03cf1b0d075f4c5918a6
Shell
ARoS-NCSU/WolfBot-Software
/salt/files/etc/dhcp/dhclient-exit-hooks.d/hostname
UTF-8
938
3.484375
3
[]
no_license
#!/bin/sh # Filename: /etc/dhcp3/dhclient-exit-hooks.d/hostname # Purpose: Used by dhclient-script to set the hostname of the system # to match the DNS information for the host as provided by # DHCP. # Depends: dhcp3-client (should be in the base install) # hostn...
true
0d8e36d1683d14438a4ff8c9552bae2ae471ba2a
Shell
sreesowmya/gittest
/argf.sh
UTF-8
504
4.03125
4
[]
no_license
#!/bin/bash # #passing arguments to a function ###function 1 func1() { echo "${FUNCNAME}()" echo "first argument is $1" echo "sec argument is $2" echo "" echo "total arguments passed are $#" } ###function 2 func2() { echo "${FUNCNAME}()" m=$1 n=$2 echo "$m + $n=`expr $m + $n`" } ###f...
true
600644bfbafcd511caba81f08e42b7fdd9b09be9
Shell
home-assistant/hassbian-scripts
/package/opt/hassbian/helpers/suite/helper
UTF-8
4,395
3.734375
4
[ "Apache-2.0" ]
permissive
#!bin/bash # Helper script for hassbian-config. declare packages declare suitename declare manifestkey function hassbian.suite.helper.install.pip { # Purpose: Install python packages in the homeassistant venv. # Usage: # hassbian.suite.helper.install.pip sampleclient # hassbian.suite.helper.install.pip sampl...
true
f2985982442b8d62f4f3d0c04c100a3de4bda889
Shell
angelbonet/smb-service-restart
/smb-restart.sh
UTF-8
382
2.515625
3
[]
no_license
#!/bin/bash # # Author: Angel Bonet # 10/06/2019 # # Stop service echo yourAdminPassword | sudo -S launchctl unload -w /System/Library/LaunchDaemons/com.apple.smbd.plist wait $! # Start again service echo yourAdminPassword | sudo -S launchctl load -w /System/Library/LaunchDaemons/com.apple.smbd.plist wait $! # End proc...
true
715cfd05a22b78f507a71ff81ac625acfd91a3d6
Shell
AdamStepan/exfuse
/zsh-completions/exmkfs.sh
UTF-8
314
2.65625
3
[]
no_license
#!/bin/zsh compdef _exmkfs exmkfs function _exmkfs() { _arguments '--device[device name]:filename:_files' \ '--inodes[number of inodes]:number:' \ '--size[size of a device]:size:' \ '--create[create device]' \ '--log-level[log level]:level:(debug info warning error fatal)' }
true
74f1381f7f8a161108fb5af208a75d5039bd86d1
Shell
somlyr/mansion
/mansion_verify.sh
UTF-8
1,949
3.890625
4
[ "Apache-2.0" ]
permissive
#!/bin/sh set -e usage() { echo "${0} Usage:" echo " -i <inputfile>, the encrypted mansion package(.pkg) wait to be dencrypted." echo " -o <outputdir>, the output dir for package verify and dencrpytion output." echo " default: inputfile's dir." echo " -k <pubkey>, the RSA public key for this dencr...
true
5ec4e577a9fb28e054ffb5a53227654406218bb7
Shell
appcrawler/ksql-hybris-poc
/cleanup-ksql.sh
UTF-8
954
2.765625
3
[]
no_license
#!/bin/sh <<HEADER ******************************************************************************************* Author: Steve Howard Date: April 20, 2020 Purpose: Cleanup KSQL application objects Revisions: 2020-04-20 - Initial copy (SDH) ****************************************************...
true
d43ac6d26047061b7f40f6591e6c1cdea729da11
Shell
JulianCanoDev/holberton-system_engineering-devops
/0x07-networking_basics/5-is_the_host_on_the_network
UTF-8
135
3.203125
3
[]
no_license
#!/usr/bin/env bash # Ip if [[ ${#@} -eq 0 ]]; then echo "Usage: 5-is_the_host_on_the_network {IP_ADDRESS}" exit 1 fi ping -c 5 "$1"
true
39842c814ec4843e4fef00c0b4cda818ff6df718
Shell
GimhanAkalanke/DEV_OPS
/bootstrap.sh
UTF-8
2,758
3.828125
4
[]
no_license
#!/bin/bash LOGFILE="/var/log/DEV_OPS_training.log" SYSLOGFILE="/var/log/DEV_OPS_trainingSYS.log" GITPATH="/opt/DEV_OPS" GITUSER="GimhanAkalanke" GITEMAIL="myinbox.gm@gmail.com" GITPW="Vcs_1234" GITREPO="https://github.com/GimhanAkalanke/DEV_OPS.git" #RTPW="vcs@1234" #####EXIT CODES##### ##100### Changing to a direct...
true
c6340667a8186e803aa3436ef102e0a295227692
Shell
oznakn/dotfiles
/polybar/launch.sh
UTF-8
806
2.84375
3
[]
no_license
#!/usr/bin/env sh # Terminate already running bar instances killall -q polybar # Wait until the processes have been shut down while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done # WORK_MODE="left" if type "xrandr"; then if [[ $(xrandr --query | grep "HDMI2 connected" | wc -l) == 1 ]]; then if [[ "$WORK_M...
true
a32b25677f44934a4339589ef7db0cc758826dd0
Shell
atong01/personal
/macfiles/macos
UTF-8
2,608
3.125
3
[]
no_license
#!/usr/bin/env bash # Thanks to Mathias Bynens! https://mths.be/macos # Ask for the administrator password upfront sudo -v # Keep-alive: update existing `sudo` time stamp until `.macos` has finished while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null & # Reveal IP address, hostname, OS ve...
true
a2dc8b572a10e4b1fd82e2937ca99045f712d81b
Shell
schwer-q/continuous-core
/pkg/lib/common.sh
UTF-8
2,668
3.765625
4
[]
no_license
#!/bin/sh - set -e set +h test "$DEBUG" == "yes" && set -x CURDIR=$(pwd) LC_ALL="POSIX" export CURDIR LC_ALL : ${DESTDIR="/"} : ${HOME="/root"} : ${LFS="/home/lfs"} : ${LFS_TGT="`uname -m`-lfs-linux-gnu"} : ${PATH="/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin"} export DESTDIR HOME LFS LFS_TGT PATH do_build() { test...
true
935edea4107e4d450b2692f36d5c92765836dbb2
Shell
lucasfer97/adm-scripts
/scripts/openvidu_download_release.sh
UTF-8
300
2.84375
3
[]
no_license
#!/bin/bash -xe echo "##################### EXECUTE: openvidu_download_release #####################" [ -z "$RELEASE" ] && exit 1 [ -z "$RELEASE_URL" ] && exit 1 DOWNLOAD_URL=$(curl -s $RELEASE_URL | grep browser_download_url | cut -d '"' -f 4 | grep $RELEASE) curl -L -o $OUTPUT $DOWNLOAD_URL
true
a41db662207c1a95c76fce7d8da98f637dda1905
Shell
punalpatel/kubo-ci
/docker-images/curl/run_tests
UTF-8
120
2.859375
3
[]
no_license
#!/usr/bin/env sh if which curl > /dev/null; then echo "Image is good" else echo "curl is missing" >&2 exit 1 fi
true
083ae3e38f1c635d7344cd8a63765b8f77809448
Shell
33cn/plugin
/plugin/consensus/tendermint/tools/auto_deploy.sh
UTF-8
6,394
3.953125
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # shellcheck disable=SC1078 # shellcheck disable=SC1079 # shellcheck disable=SC1117 # shellcheck disable=SC2002 # shellcheck disable=SC2003 # shellcheck disable=SC2086 # shellcheck disable=SC2091 # shellcheck disable=SC2116 # shellcheck disable=SC2129 # shellcheck disable=SC2140 # shellcheck disable=SC2162 ...
true
2bde99198c9a426c08a13c6500b71a770e8636f7
Shell
Nitrokey/nitrokey-3-firmware
/utils/nrf-builder/wait_for_usb.sh
UTF-8
184
3.046875
3
[ "Apache-2.0", "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash VID=$1 PID=$2 sleep 1 for i in `seq 1 30` do lsusb -d $VID:$PID >/dev/null || (echo -ne "." && sleep 1) done lsusb -d $VID:$PID || (echo "Device not found" && exit 1)
true
bd35f906b24ac51118a229ed18bb2d338a84582e
Shell
jstty/docker-taiga
/build.sh
UTF-8
5,838
3.984375
4
[]
no_license
#!/bin/bash export PWD=$(pwd) ENV_FILE="./env.sh" # if Mac OSX then set env to docker machine so docker commands work if [ "$(uname)" == "Darwin" ]; then eval "$(docker-machine env default)" fi echo "--------------------------------------------" echo "Taiga Setup Wizard" echo "-------------------------------------...
true
249436e053e257304a7ed1222d43d5a019ea44b8
Shell
mtan93/auocloud-auowp
/upgrade.sh
UTF-8
579
2.578125
3
[]
no_license
echo Working out HOME directory cd ~ sleep 1s echo Setting WP Path HMEPATH="$(pwd)" sleep 1s echo Deactivating Old Workers echo wp plugin deactivate worker --path=$HMEPATH/public_html/ && wp plugin delete worker --path=$HMEPATH/public_html/ wp plugin deactivate auocloudworker --path=$HMEPATH/public_html/ && wp plugin d...
true
e112dbcf955f2b7215477f592c2ee40a8f43ceda
Shell
reisritter/Algoritmos-Shell
/1133.sh
UTF-8
109
2.984375
3
[]
no_license
read x read y for ((i=x;i<y;i++)) do if [ $((i%5)) -eq 2 ] || [ $((i%5)) -eq 3 ] then echo $i fi done
true
e706b7de247aedc19171d9b6b91a28f8c087c96a
Shell
fortytwoio/docker-php
/bin/start-php.sh
UTF-8
686
2.734375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -eu # exit on error or undefined variable # Defaults export PHP_MAX_CHILDREN=${PHP_MAX_CHILDREN:-"24"} export PHP_START_SERVERS=${PHP_START_SERVERS:-"10"} export PHP_MIN_SPARE_SERVERS=${PHP_MIN_SPARE_SERVERS:-"8"} export PHP_MAX_SPARE_SERVERS=${PHP_MAX_SPARE_SERVERS:-"12"} export PHP_MAX_REQUES...
true
5fe047ba65ddafd2250a7a338e87e699e1676249
Shell
bm4cs/dots-stow
/stow-home/bin/bin/dwmbar
UTF-8
114
2.71875
3
[]
no_license
#!/bin/sh print_date(){ date "+%a %d %b %H:%M" } while true do xsetroot -name "$(print_date)" sleep 1m done
true
da278834720e21dc07250e7897fb39476014e1da
Shell
cupnes/megadrive_test
/tools/bin_splitter.sh
UTF-8
926
3.53125
4
[]
no_license
#!/bin/bash set -uex # set -ue # 以下のように分割する # | 上位8ビット | 下位8ビット | # | (奇数番目) | (偶数番目) | # |-------------|-------------| # 0x0000 | 0xNN | 0xMM | # 0x0002 | 0xAA | 0xBB | IN_FILE=$1 name=$(echo $IN_FILE | rev | cut -d'.' -f2- | rev) suff=$(echo $IN_FILE | rev | cut ...
true
db10bd0e66bf86bfbd69534503a097ded3a01612
Shell
ShiKaiWi/Compiler-for-SimpleC
/bin/run
UTF-8
876
2.5625
3
[ "MIT" ]
permissive
#!/bin/bash cd "$(dirname "$0")" cd ../ make mkdir test/build echo -e "bin/c1c test/test1" bin/c1c test/test1.c1 as --32 test/test1.c1.out -o test/test1.o ld -melf_i386 test/test1.o -o test/build/test1 test/build/test1 echo $? echo -e "the output is the result of 'test1.c1'" echo -e "please press any key to continu...
true
b85117b00e4a77797fdd30f6de8beb28cb318a67
Shell
darthsuogles/drgscl
/lib_wisper_fetch.sh
UTF-8
770
3.515625
4
[]
no_license
# Internet resource acquisition REQ_HEADER="Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8" USER_AGENT="Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_4) AppleWebKit/601.5.17 (KHTML, like Gecko) Version/9.1 Safari/601.5.17" function _fetch_with_curl { curl -A "${USER_AGENT}" "$@" } function...
true
f8e091225e679617f0c60aa1b2f35c779c9ebca0
Shell
jyotirepo/SCB-shellscript
/utilities.sh
UTF-8
1,721
4.59375
5
[]
no_license
#!/bin/bash # This is a utilities script for common tasks in Linux environments. # Function to display a menu and read user choice display_menu() { clear echo "Utilities Script Menu" echo "0. System Info" echo "1. Update System" echo "2. Check Disk Usage" echo "3. List Running Processes" e...
true
c3fc6acf5cc595ee4f2ef5ede4c24f2a949b1b70
Shell
olback/dotfiles
/bin/new-project.sh
UTF-8
1,210
4.21875
4
[ "Unlicense" ]
permissive
#!/bin/bash set -e #echo $@ SELF=$0 LANG=$1 function usage { echo "$SELF [lang] [name] <options>" } function generate_rust_project { echo "Generating new Rust Project \"$1\"" cargo new $@ } function generate_c_project { echo "Generating new C Project \"$1\"" mkdir $1 cd $1 # Create ma...
true
605cf4a3b596fce1800aba00582ba20d7b2127c0
Shell
jpuritz/BIO_594_2019
/Final_Assignment/Chille_Final_Assignment/Scripts/bwa.sh
UTF-8
763
3.109375
3
[ "MIT" ]
permissive
#!/bin/bash F=/home/echille/finalproject/mapping array1=($(ls *pass_1.fastq.gz_paired_qtrim.fq.gz | sed 's/pass_1.fastq.gz_paired_qtrim.fq.gz//g')) bwa index GCF_000222465.1_Adig_1.1_genomic.fna echo "done index $(date)" for i in ${array1[@]}; do bwa mem $F/GCF_000222465.1_Adig_1.1_genomic.fna ${i}pass_1.fastq.gz_p...
true
455d448255c48ebff7fd412f368f93b2e9c333e9
Shell
mdchambers/groucho
/pdb/generateScoreReport.sh
UTF-8
294
2.90625
3
[]
no_license
#!/bin/bash startdir=`pwd` mkdir fasc.analysis for x in output*; do cp ${x}/repacked/repacked.fasc fasc.analysis/${x}.fasc done cd fasc.analysis for x in *fasc; do cat $x | tr -s ' ' | cut -d' ' -f 2,33 | sort -nk 2,2 > ${x}.temp done for x in *temp; do paste $x out.fasc >> out.fasc done
true
79c770a523ca562af39b7f64f606bf48ad404cde
Shell
Rud5G/Ajasta
/docker/dev/create-changelog-diff.sh
UTF-8
1,231
2.828125
3
[]
no_license
#!/bin/bash docker exec -it $(docker-compose ps -q mysql | head -1) /bin/bash -c " \ export MYSQL_PWD=root; echo 'DROP DATABASE IF EXISTS reference' | mysql -uroot; \ echo 'CREATE DATABASE reference' | mysql -uroot; \ " docker-compose run liquibase \ --username=root \ --password=root \ --url=j...
true
be870f738581a59d7b9203c840271782265b6a76
Shell
EricALBRECHT/Huawei_E3531_Stick_configuration
/sms/sendSMS.sh
UTF-8
537
2.546875
3
[]
no_license
#!/bin/bash NUMBER=$1 MESSAGE=$2 ./session.sh ./token.sh LENGTH=${#MESSAGE} TIME=$(date +"%Y-%m-%d %T") TOKEN=$(<token.txt) SMS="<request><Index>-1</Index><Phones><Phone>$NUMBER</Phone></Phones><Sca/><Content>$MESSAGE</Content><Length>$LENGTH</Length><Reserved>1</Reserved><Date>$TIME</Date></request>" ...
true
f271c3d5dabc12e757aa9841ff3d53cbff687472
Shell
m-martinez/docker-postgres-nondurable
/update.sh
UTF-8
705
4.15625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # # Updates docker files for major postgres versions # # Usage: # > ./update.sh # versions=( "$@" ) if [ ${#versions[@]} -eq 0 ]; then versions=( */ ) fi versions=( "${versions[@]%/}" ) read -r -d '' generated_warning <<EOF # # THIS FILE IS GENERATED BY "update.sh" # DO NOT EDIT # EOF for v...
true
c273b61d9a76a9b79a29dc440095d97add526286
Shell
kdlong/SelectorTools
/Templates/CondorSubmit/wrapRunSelector.sh
UTF-8
469
2.546875
3
[]
no_license
#!/bin/bash # Following implementation by N. Smith, Fermilab # https://gitlab.cern.ch/ncsmith/monoZ/tree/master/selector tar xvzf ${tarball} CMSSW_RELEASE_BASE="${CMSSW_RELEASE_BASE}" source /cvmfs/cms.cern.ch/cmsset_default.sh pushd $$CMSSW_RELEASE_BASE eval `scramv1 runtime -sh` popd export LD_LIBRARY_PATH=$$PWD...
true
fb911f370495e4941f1cf4793baee1e8eef37978
Shell
intel-analytics/BigDL
/python/dev/add_type_hint.sh
UTF-8
1,296
2.921875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # # Copyright 2022 The BigDL Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable...
true
0955558d3f9148c496ebbcea75edc3141b508d01
Shell
brewingcode/dotfiles
/bin/git-author-rewrite
UTF-8
785
3.21875
3
[]
no_license
#!/bin/sh export OLD_EMAIL="${OLD_EMAIL:-$1}" export NEW_EMAIL="${NEW_EMAIL:-$2}" export NEW_NAME="${NEW_NAME:-$3}" export REF="${4:-HEAD}" [ -z "$OLD_EMAIL" ] && { echo "define OLD_EMAIL and re-run" >&2; exit 1; } [ -z "$NEW_EMAIL" ] && { echo "define NEW_EMAIL and re-run" >&2; exit 3; } [ -z "$NEW_NAME" ] && { echo...
true
67a8440c8792a8945b67dd49c4c3154e45400c6e
Shell
hashgraph/hedera-services
/hedera-node/docker/update-env.sh
UTF-8
370
3.421875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # This scripts create a '.env' file that is used for docker & docker-compose as an input of environment variables. # This script is called by gradle and get the current project version as an input param if [ $# -lt 1 ]; then echo "USAGE: $0 <TAG>" exit 1 fi echo "TAG=$1" > .env echo "REGISTRY...
true
a04d93cdf53ae02230ac9823534c7c9911f39202
Shell
danielshahaf/modernish
/libexec/modernish/var/setlocal.mm
UTF-8
9,695
3.4375
3
[ "ISC", "CC0-1.0" ]
permissive
#! /module/for/moderni/sh # --- { setlocal...endlocal } --- # A pair of aliases for a { setlocal ... endlocal } code block. Local variables # and local shell options are supported, with those specified becoming local # and the rest remaining global. The exit status of the block is the exit # status of the last command....
true
4b14564465319c85b498408f0b19dccf6745f34f
Shell
kaaaaassim/CROMi-X_DEODEX_5.4
/system/bin/ps3service
UTF-8
1,014
3.3125
3
[]
no_license
#!/system/bin/sh # Start PS3 pairing # Check Bluetooth Status LOG_NAME="BlueZ - PS3 Game-pad" LOG_TAG="ps3service" logi () { /system/bin/log -t $LOG_TAG -p i "$LOG_NAME $@" } /system/xbin/ps3bttest is_enabled > /dev/null btstatus=$? logi "getBtStatus(): btstatus = $btstatus" case $btstatus in 1) ...
true
f7420d69a7a9067f937fafa9f173bf7d030ab791
Shell
kism/dotfiles
/_zsh/.zshrc
UTF-8
3,390
3.25
3
[]
no_license
# zsh Settings source ~/.antigen/antigen.zsh # Load the oh-my-zsh's library. antigen use oh-my-zsh # Bundles from the default repo (robbyrussell's oh-my-zsh). antigen bundle git antigen bundle pip antigen bundle virtualenv antigen bundle command-not-found # Syntax highlighting bundle. antigen bundle zsh-users/zsh-sy...
true
4ff2b4abfa2082d57cd024e7d85634cbfbd93423
Shell
molleweide/dorothy
/sources/edit.sh
UTF-8
217
2.734375
3
[ "LicenseRef-scancode-public-domain", "Unlicense" ]
permissive
#!/usr/bin/env sh eval "$(setup-editor-commands)" edit () { if is-ssh; then eval "${TERMINAL_EDITOR:?TERMINAL_EDITOR must be configured}" "$@" else eval "${GUI_EDITOR:?GUI_EDITOR must be configured}" "$@" fi }
true
d42a31eab1d5c96bf78614cd667b419c7ed8db12
Shell
Stackdriver/stackdriver-prometheus-sidecar
/bench/run.sh
UTF-8
1,151
3.078125
3
[ "Apache-2.0", "LicenseRef-scancode-generic-cla" ]
permissive
#!/usr/bin/env bash set -e pushd "$( dirname "${BASH_SOURCE[0]}" )" go build github.com/Stackdriver/stackdriver-prometheus-sidecar/cmd/stackdriver-prometheus-sidecar trap 'kill 0' SIGTERM echo "Starting Prometheus" prometheus \ --storage.tsdb.min-block-duration=15m \ --storage.tsdb.retention=48h 2>&1 | sed -e...
true
dea236933ad80fdce2be8da32648739b0fc0f7f9
Shell
second-state/oasis-ssvm-runtime
/scripts/check_artifacts.sh
UTF-8
773
3.453125
3
[ "GPL-3.0-only" ]
permissive
#! /bin/bash # Path to Oasis Core root. OASIS_CORE_ROOT_PATH=${OASIS_CORE_ROOT_PATH:-${WORKDIR}} # Path to the Oasis node. OASIS_NODE=${OASIS_NODE:-${OASIS_CORE_ROOT_PATH}/go/oasis-node/oasis-node} # Path to oasis-net-runner. OASIS_NET_RUNNER=${OASIS_NET_RUNNER:-${OASIS_CORE_ROOT_PATH}/go/oasis-net-runner/oasis-net-r...
true
7b50a18b0e1eb7317ccb8628f2474e34de8b97b7
Shell
n1k0/oh-my-zsh
/themes/n1k0.zsh-theme
UTF-8
757
2.953125
3
[]
no_license
ZSH_THEME_GIT_PROMPT_PREFIX="%{$fg_bold[green]%} (" ZSH_THEME_GIT_PROMPT_SUFFIX=")%{$reset_color%}" ZSH_THEME_GIT_PROMPT_DIRTY="*" ZSH_THEME_GIT_PROMPT_UNTRACKED="?" ZSH_THEME_GIT_PROMPT_CLEAN="" local light_grey='\e[0;37m' local return_code="%(?..%{$fg_bold[red]%}(%?%) %{$reset_color%})" PROMPT=' ' PROMPT=$PROMPT'%...
true
ae625737e8d1ab9f6dc4a004a290e416c8b7877c
Shell
leeonky/Owl
/platform/software/packages/401.docker_tools/docker_tools.sh
UTF-8
952
3.765625
4
[]
no_license
#! /bin/bash DOCKER_BIN=docker retain_images() { local image_list="$($DOCKER_BIN images)" local target_images="$(echo "$image_list" | grep "^$1 " | awk '{print $1":"$2}' | grep -v $1:$2)" if [ "" != "$target_images" ]; then local all_containers="$($DOCKER_BIN ps)" local target_containers="$(echo "$all_containers...
true
0362d495cf66ed00f6eefed3e5e044aef5539c2a
Shell
hasanalanya/Master_Bash_Shell_Scripting
/functions.sh
UTF-8
278
2.890625
3
[]
no_license
#!/bin/bash mydate(){ echo "today is: " date echo "have a great day!" } echo "start here" mydate echo "----------------------" hello2(){ echo "hello $1" echo "hello also to $2" } hello2 "Hasan" "Huseyin" echo "return value of my function is $?" echo "move on..."
true
7e3d6ec6810ca399913d294097a79deebd32f044
Shell
metwork-framework/github_force_common_files
/src/_force.sh
UTF-8
2,259
3.59375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash set -e ORG=metwork-framework if test "${3:-}" = ""; then echo "_force.sh REPO-NAME BRANCH INTEGRATION_LEVEL [DEBUG] [RESOURCES_DIR]" exit 1 fi if test "${4:-}" = "DEBUG"; then DEBUG=1 else DEBUG=0 fi if test "${5:-}" = ""; then RESOURCES_DIR=~/tmp/resources else RESOURCES_DIR="$5" ...
true
d614996fc3430724da266631014c4248c0d4bb3d
Shell
ncliang/kafka-docker-playground
/troubleshooting/timeout-while-waiting-for-command-topic/cleanup-queries.sh
UTF-8
2,029
2.921875
3
[]
no_license
#!/bin/bash set -e DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )" source ${DIR}/../../scripts/utils.sh # https://rmoff.net/2019/03/25/terminate-all-ksql-queries/ log "TERMINATE all queries, if applicable" curl -s -X "POST" "http://localhost:8088/ksql" \ -H "Content-Type: application/vnd....
true
a8ace44ccd6402aba4a6158c0468a63982fad623
Shell
drewmoseley/meta-mender
/meta-mender-raspberrypi/recipes-mender/update-firmware-state-script/files/ArtifactInstall_Leave_50.in
UTF-8
921
3.5625
4
[ "Apache-2.0" ]
permissive
#!/bin/sh set -e trap_exit() { umount -l /tmp/inactive_part } trap trap_exit EXIT MENDER_ROOTFS_PART_A="@@MENDER_ROOTFS_PART_A@@" MENDER_ROOTFS_PART_B="@@MENDER_ROOTFS_PART_B@@" if mount | grep ${MENDER_ROOTFS_PART_A}; then inactive_part="${MENDER_ROOTFS_PART_B}" else inactive_part="${MENDER_ROOTFS_PART_A}" f...
true
fd545b6cffafa7567b9f6bc7515f62ca46e1e45f
Shell
AlexanderP/deb-script
/tesseractbuild.sh
UTF-8
16,392
3.53125
4
[]
no_license
#!/bin/bash #set -x green() { echo -e "\e[1;32m$1\e[0;39;49m"; } red() { echo -e "\e[1;31m$1\e[0;39;49m"; } error(){ red "Error! $1" exit 1 } #--------------------------------Переменные----------------------------- export DEBFULLNAME="Ivan Petrov" # gpg name export DEBEMAIL="example@mail.ru" ...
true
6bacb3e321df144d319d41f1c4c865f3ec458f7c
Shell
an3ol/caravel
/.travisCI/lvs/maglef-lvs-check.sh
UTF-8
1,580
3.078125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # SPDX-FileCopyrightText: 2020 Efabless Corporation # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by appl...
true
576ffbb6cfdd7e2aa6acb2d593c89d4aaf644c9c
Shell
digideskio/rapp-platform-scripts
/setup/2_ros_setup.sh
UTF-8
1,944
2.96875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -i ## #Copyright 2015 RAPP #Licensed under the Apache License, Version 2.0 (the "License"); #you may not use this file except in compliance with the License. #You may obtain a copy of the License at #http://www.apache.org/licenses/LICENSE-2.0 #Unless required by applicable law or agreed to in writi...
true
19c8d5e59f58b38908c30f67f8dcee1ad41cd51f
Shell
Samraksh/Tuscarora
/TuscaroraFW/Scripts/Simulations/runSim.sh
UTF-8
514
2.9375
3
[]
no_license
#!/usr/bin/env bash set -x echo "Running $0 $@" jobsdir=~/Samraksh/TuscaroraPrivate/TuscaroraFW/ jobsfile=jobs suffix="-$(date +%F_%T | sed s/[-:]//g;)-$(whoami)" echo "suffix = $suffix" ./iterate.sh echo "$@" | \ parallel -kq echo "cd $jobsdir; ./runOrDebug.sh --suffix $suffix {}" | \ cat - >> $jobsfile cat ...
true
4b705cf5b7f2e048bedd8b88af05c791e43564e5
Shell
cloudnautique/stats-collection
/scripts/release
UTF-8
665
3.3125
3
[]
no_license
#!/bin/bash set -x cd $(dirname $0)/.. REL_VER=$1 if [ -z "${REL_VER}" ]; then echo "Need a RELEASE Version of RLDataCollectors" 1>&2 exit 1 fi if [ -e build ]; then rm -rf build fi mkdir -p build cp tools/release/Dockerfile.tmpl ./build/ cp tools/bin/wrap_cron ./build/ cp scripts/bootstrap ./build cp -r...
true
b82dee5b8925c6bd2c966ddd7663428f03f3c6f8
Shell
amyq7526110/ebook
/chapter12/guidang.sh
UTF-8
2,868
3.296875
3
[]
no_license
#!/bin/bash # 归档命令 # tar # 标准的Uinx 归档工具.起初这只是一个 磁带 归档 程序, # 而现在这个工具已经被开 发为通用打包程序, 它能够处 # 理所有设备的所有类型的归档文件, 包括磁带设备, 正常文件, # 甚至是 stdout (参见 Example 3-4). GNU 的 tar 工具现在可 # 以接受不同种类的压缩过 滤器, 比如 tar czvf archive_name.tar.gz *, # 并且可以递归的处理归档文件, 还可以用gzip 压缩目录下的所有文件, #...
true
b24d0e5510686d8fa12b305589a38fa0a3456eb9
Shell
zhiqiangxu/avflow
/third_party/ffmpeg/build.sh
UTF-8
990
3.125
3
[]
no_license
#!/bin/bash set -e set -x echo "Doing build..." DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )" BUILD_DIR="$DIR/build" pushd "$DIR/remote" git reset --hard git clean -f cp ../qrpc/qrpc* libavformat/ if [ `uname` = "Darwin" ]; then sed -i '' '/#include "libavformat\/protocol_list.c"/i \ extern...
true
bb5e45d36a7a2303cfb5766063a55ebeccbb9602
Shell
claf/blur
/plot_vols.sh
UTF-8
513
2.984375
3
[]
no_license
#!/bin/sh T="Vols.data" PDFFILE="plot_vol.pdf" echo "Generating ${PDFFILE}" DATAFILE="${T}" EPSFILE="plot_vol.eps" echo "Warning : hard coded binaries order!!!" gnuplot << EOF set terminal postscript eps color enhanced set output '${EPSFILE}' set xlabel 'Number of tasks replied' set ylabel 'Time'...
true
df4c63812a7fd5cc4250208ca88181292678d971
Shell
landrytiano/skipsi
/job/job.sh
UTF-8
196
2.65625
3
[]
no_license
#! /bin/bash RUNAT="08:01" while [ 1 ] do DATE=`/bin/date +%H:%M` if [ $DATE. = $RUNAT. ] then curl localhost/php-fann/examples/logic_gates/simple_train.php fi sleep 60 done
true
4aa40b3dd33c87c8665375288fd751dd9325628a
Shell
mhwombat/bin
/pdf2isbn
UTF-8
1,033
3.75
4
[ "MIT" ]
permissive
#!/usr/bin/env sh #: Extract the ISBN from a PDF. #: #: Usage: #: #: pdf2doi [filename] #: #: If no filename is specified, read from stdin. #: #: Requirements: pdfinfo (install poppler_utils), pdftotext (install xpdf or python's pdftotext). method1() { pdfinfo $1 | sed -n 's/.*ISBN:* *\([0-9\-]\+\)/\1/Ip' } meth...
true
c5084a7118d44764d9153ee3717e2a794c388eb2
Shell
initialed85/mac_os_scripts
/user_template/create_user_template.sh
UTF-8
2,154
3.796875
4
[ "MIT", "LicenseRef-scancode-unknown-license-reference", "BSD-3-Clause" ]
permissive
#!/bin/bash echo -ne "info: $0 started\n\n" TARGET_USER_TEMPLATE=/System/Library/User\ Template/English.lproj TARGET_USER_TEMPLATE_BACKUP=./English.lproj if [[ "$USER" != "root" ]] ; then echo "error: must be run as root/sudo" exit 1 fi TARGET_USER=$1 if [[ "$TARGET_USER" == "" ]] ; then echo "error: mu...
true
a94e5c60f4c2b5c7be14a98743dabde863840605
Shell
damphat/centos-apps
/upstart/add-node.sh
UTF-8
870
3.421875
3
[]
no_license
if [ $# != 2 ]; then echo 'Usage: ./add-node.sh <PROJECT_NAME> <PORT>' echo echo 'Example: ./add-node.sh damphat 3000' exit 1 fi PROJECT_NAME=${1//\*/_} PORT=$2 if [ ! -f /myprojects/$PROJECT_NAME/app.js ]; then echo "/myprojects/$PROJECT_NAME/app.js not exist" exit 2 fi $(cd /myprojects/$PROJECT_NA...
true
8801d5c6bfb16e83229481ff84bcf14296374708
Shell
aweimeow/dotfiles
/zsh/install.sh
UTF-8
1,155
3.59375
4
[ "MIT" ]
permissive
#! /bin/bash # Change directory to the directory of this script cd $(dirname $0) if [ ! -d "$HOME/.oh-my-zsh" ]; then sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" echo "[zsh] oh-my-zsh installed." fi if [ ! -f "$HOME/.oh-my-zsh/themes/aweimeow.zsh-thme" ]; t...
true
e2be6fdee598192d850689204430c622fadd3430
Shell
l1kw1d/hot-fuzz
/run_fuzzer_container.sh
UTF-8
707
3.859375
4
[ "MIT" ]
permissive
#! /bin/bash cmdname=$(basename $0) cmddir="$(dirname $0)" function usage { cat << EOF Usage: Run the fuzzer from a docker container $cmdname [fuzzer args] EOF exit 1 } if [ $# -eq 0 ]; then usage fi fuzz_lib=$( cd ${LIB_DIR:-"fuzz/"}; pwd) pushd $cmddir if [ ! -d results ]; then mkdir results fi ...
true
df920e55f5d2574a54cdb514de1362251cc5f8dc
Shell
afortiorama/panda-client
/scripts/pcontainer
UTF-8
508
3.265625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash export LD_LIBRARY_PATH_ORIG=${LD_LIBRARY_PATH} export LD_LIBRARY_PATH= export PYTHONPATH_ORIG=${PYTHONPATH} export PYTHONPATH=${PANDA_PYTHONPATH} export PYTHONHOME_ORIG=${PYTHONHOME} unset PYTHONHOME # look for option for python3 for i in "$@" do case $i in -3) PANDA_PY3=1 ;; *) ;; esac done if...
true
cc9ab0440495f56de811b7128ebdca4b958acfd9
Shell
JohnCremona/apocrita_scripts
/tidyout
UTF-8
344
2.8125
3
[]
no_license
#!/bin/bash for f in xrun.out.*; do g=${f#xrun\.out\.} #echo $g J=${g%\.*} T=${g#*\.} #qstat | grep mpx017 | awk --assign J=${J} --assign T=${T} '($1==J)&&($10==T)' | wc -l if [ `qstat | grep mpx017 | awk --assign J=${J} --assign T=${T} '($1==J)&&($10==T)' | wc -l` == 0 ]; then mv ${f} xrun.done/xrun.done.${g}; echo ...
true
d96ec85869bde7133efed0f9f13aea7b953db38a
Shell
f/do-sshuttle
/do-sshuttle
UTF-8
1,249
3.609375
4
[ "WTFPL" ]
permissive
#!/bin/bash DROPLET_NAME="do-sshuttle-server" DROPLET_FILE=/tmp/droplet-vpn.json echo "do-shuttle v0.0.1" echo "Fatih Kadir Akın <fatihkadirakin@gmail.com>" echo "Transparent Proxying over DigitalOcean Droplets" prefix="[ds]" echo if [ ! -f $DROPLET_FILE ]; then echo "$prefix <--- Getting $DROPLET_NAME Droplet inf...
true